%define	ver		2.11
%define	rel		5
%define	xfontdir_	%{_datadir}/fonts/zh_TW
%define	xfontdir	%{xfontdir_}/TrueType

Summary: Arphic TrueType Font -- Big5 ming and kai face.
Name:		ttfonts-zh_TW
Version:	%{ver}
Release:	%{rel}
Copyright:	Arphic Public License (GPL-like)
Group: User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root

Source:		ftp://cle.linux.org.tw/pub/fonts/arphic/font/bsmi00lp.ttf
Source1:	ftp://cle.linux.org.tw/pub/fonts/arphic/font/bkai00mp.ttf
Source2:	arphicpl.txt
Source3:	arphicpl-big5.txt
Source4:	arphic-release.txt
Source10:	ttfonts-zh_TW.scale

BuildPreReq:	XFree86-xfs
PreReq:		ttfm
PreReq:		chkfontpath
Obsoletes:	ttf-moe_sung ttf-moe_kai ttf-arphic_bming ttf-arphic_bkai

%description
Chinese TTF Fonts donated by Arphic company. Read the Arphic Public
License for details.

%prep

%build
mkdir -p %{name}-%{PACKAGE_VERSION}/doc

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{xfontdir}
install -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{xfontdir}/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{xfontdir}/
install -m 0644 %{SOURCE10} $RPM_BUILD_ROOT%{xfontdir}/fonts.scale

/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
			 -e /usr/X11R6/lib/X11/fonts/encodings/large \
			 $RPM_BUILD_ROOT%{xfontdir}

# default font
pushd $RPM_BUILD_ROOT%{xfontdir_}
	ln -s TrueType/bsmi00lp.ttf default.font
	ln -s TrueType/bkai00mp.ttf default-bold.font
popd

cp %{SOURCE2} %{SOURCE3} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/
cp %{SOURCE4} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/release.txt

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
[ "$1" = 1 -a -x /usr/sbin/ttfm.sh ] && {
    /usr/sbin/ttfm.sh --add %{xfontdir}/bsmi00lp.ttf > /dev/null 2>&1
    /usr/sbin/ttfm.sh --add %{xfontdir}/bkai00mp.ttf > /dev/null 2>&1
  # Yes, set the default font to ming. I like ming...:p
    (cd %{xfontdir}; \
    /usr/sbin/ttfm.sh --setdefault xttfm bsmi00lp.ttf > /dev/null 2>&1)
}
/usr/sbin/chkfontpath -q -a %{xfontdir}

%preun
[ "$1" = 0 -a -x /usr/sbin/ttfm.sh ] && {
    KEEP_FONT=1 /usr/sbin/ttfm.sh --remove bsmi00lp.ttf > /dev/null 2>&1
    KEEP_FONT=1 /usr/sbin/ttfm.sh --remove bkai00mp.ttf > /dev/null 2>&1
}
if [ "$1" = 0 ];
then
	/usr/sbin/chkfontpath -q -r %{xfontdir}
fi

%files
%defattr(-, root, root)
%doc $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/
%config(noreplace) %{xfontdir}/fonts.dir
%config(noreplace) %{xfontdir}/fonts.scale
%config(noreplace) %{xfontdir}/encodings.dir
%config(noreplace) %{xfontdir_}/default*.font
%attr(0755, root, root) %dir %{xfontdir_}
%attr(0755, root, root) %dir %{xfontdir}
%{xfontdir}/*ttf

%changelog
* Mon Aug  6 2001 Tim Powers <timp@redhat.com>
- rebuilt to fix bug #50761

* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 2.11-4
- Added default font for Nautilus.

* Sun Jul  8 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix for the error at %%post

* Wed Jul  4 2001 Akira TAGOH <tagoh@redhat.com> 2.11-2
- use rpmmacros.
- added fonts.scale file.
- fixed font path from /usr/share/fonts/ttf to /usr/share/fonts/zh_TW/TrueType.
- added chkfontpath stuff.

* Thu Jun 28 2001 Yukihiro Nakai <ynakai@redhat.com>
- Unify 2 big5 truetype fonts

* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for RHL 7.2

* Fri Jan 14 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- update 2.11

* Wed Jan 12 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- add PreReq to fix default font problem

* Wed Jan 05 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- change the license to docdir by using %docdir directive
- fix bug in %post and %preun script

* Tue Jan 04 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- first release
